Loading...
Searching...
No Matches
ratelier_scatter.hpp File Reference

defines structure that is suitable to dispatch between many workers taking job order in consideration More...

`#include "config.h"`
`#include <vector>`
`#include <map>`
`#include <deque>`
`#include <memory>`
`#include "mutex.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::ratelier_scatter< T >
| The class ratelier_scatter's purpose it to scatter an ordered set of data to many worker threads. More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines structure that is suitable to dispatch between many workers taking job order in consideration

Definition in file ratelier_scatter.hpp.